import { connect } from 'react-redux';
import { reduxForm } from 'redux-form';
import { withRouter } from 'react-router-dom';
import GenericFiltersForm from './GenericFiltersForm';

const createReduxForm = reduxForm({
  // a unique name for the form
  form: 'genericFiltersForm',
  enableReinitialize: true,
});

const form = createReduxForm(GenericFiltersForm);

const mapStateToProps = () => ({});

const mapDispatchToProps = {};

const Wrapped = withRouter(connect(mapStateToProps, mapDispatchToProps)(form));

export default Wrapped;
